@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700&family=Outfit:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root {
	--color-primary-base: hsl(215, 51%, 70%);
	--color-primary-dark: hsl(215, 32%, 27%);
	--color-primary-darker: hsl(216, 50%, 16%);
	--color-primary-darkest: hsl(217, 54%, 11%);

	--color-secondary-base: hsl(178, 100%, 50%);

	--color-white: hsl(0, 0%, 100%);
}

:root {
	--rem: calc(1rem / 16);

	--font-size-normal: calc(18 * var(--rem));
	--image-size: calc(300 * var(--rem));
}

*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	background-color: var(--color-primary-darkest);
	font-family: 'Outfit', sans-serif;
	font-size: 100%;
	overflow-x: hidden;
	min-height: 100vh;

	display: grid;
	grid-template-rows: 1fr 30px;
}

img {
	width: 100%;
	height: auto;
	display: inline-block;
	object-fit: cover;
}

main {
	display: grid;
	place-content: center;
}

.card {
	background-color: var(--color-primary-darker);
	padding: 1rem;
	color: var(--color-primary-base);
	border-radius: 10px;
	box-shadow:
		10px 20px 30px hsl(217, 54%, 8%),
		-10px 20px 30px hsl(217, 54%, 8%);
}

.card__container {
	width: var(--image-size);
}

.card__image-container {
	width: var(--image-size);
	height: var(--image-size);
	overflow: hidden;
	border-radius: 8px;
	position: relative;
	cursor: pointer;

	&:hover .card__image-overlay {
		display: grid;
		place-content: center;
	}
}

.card__image-overlay {
	position: absolute;
	background-color: hsl(178, 100%, 50%, 50%);
	display: none;
	width: 100%;
	height: 100%;

	img {
		width: 40px;
	}
}

.card__title {
	color: var(--color-white);
	margin-block: 1rem;
	width: max-content;
}

.card__title:hover {
	cursor: pointer;
	color: var(--color-secondary-base);
}

.card__description {
	margin-block: 1rem;
}

.card__details {
	list-style: none;
	margin-block: 1rem;
	display: flex;
	justify-content: space-between;
}

.card__detail {
	display: flex;
	align-items: center;
}

.card__detail--active {
	color: var(--color-secondary-base);
	font-weight: 700;
}

.card__detail-icon {
	margin-right: 6px;
	width: calc(16 * var(--rem));
}

.card__detail-icon--active {
	width: calc(10 * var(--rem));
}

hr {
	border: 1px solid var(--color-primary-dark);
}

.card__footer {
	display: flex;
	align-items: center;
	padding-block: calc(12 * var(--rem));
}

.card__creator-image {
	width: calc(28 * var(--rem));
	height: calc(28 * var(--rem));
	border: 2px solid var(--color-white);
	border-radius: 50%;
	margin-right: 1rem;
}

.card__creator-name:hover {
	cursor: pointer;
	color: var(--color-secondary-base);
}

.attribution {
	font-size: 11px;
	text-align: center;
}

.attribution a {
	color: hsl(228, 45%, 44%);
}
